<?php

namespace Teknisa\SM\Factory;

use Doctrine\ORM\EntityManager;

class Sm00006000HabilidadeServicoFactory {
    
    protected $connection;
    public function __construct(EntityManager $entityManager) {
        $this->connection = $entityManager->getConnection();
    }
    
    public function validacao($servico, $habilidade, $nrorg) {
        $sql = "SELECT COUNT(*) AS EXISTE
                  FROM FCT_RELACSERVHABILI
                WHERE CDSERVORCA  = :CDSERVORCA
                AND CDHABILITSERV  IN (" .$habilidade. ")
                AND NRORG          = :NRORG"; 
        
        $params = array(
            "CDSERVORCA" => $servico,
            "NRORG" => $nrorg
        );
        $consulta = $this->connection->prepare($sql);
        $consulta->execute($params);
        return $consulta->fetchAll();
    }
}
?>